#ifndef _ADVTTY_H
#define _ADVTTY_H

#include "vttydef.h"
#define ADV_DEBUG

#define CF_MAXSTRLEN                                     32
#define CF_LOGNAME                                       ("advttyd.log")
#define CF_CONFNAME                                      ("advttyd.conf")
#define CF_PORTPROG                                      ("advttyp")
#define CF_NETMSGLEN                                     1044
//#define CF_DATABUFLEN                                    (20*1024) /*20480*/
//#define CF_DATABUFFCL																		 4*1024
//#define	CF_DATABUFFCH																		 14*1024
#define CF_DATABUFLEN                                    (50*1024) /*20480*/
#define CF_DATABUFFCL																		 (16*1024)
#define	CF_DATABUFFCH																		 (24*1024)
#define CF_EKI_HEARTBEAT																 10 /*the heartveat time interval*/

#define ADV_IOC(_CMD, _SIZE) \
        (_IOC(_IOC_READ | _IOC_WRITE, 'm', _CMD, _SIZE))

#ifdef ADV_DEBUG
#define ADV_LOGMSG(FMT, ...) \
        do { \
        char buf[1024]; \
        sprintf(buf, FMT, ## __VA_ARGS__); \
        log_msg(buf); \
        } while(0)
#else
#define ADV_LOGMSG(FMT, ...) while(0)
#endif

#endif
